#include <QApplication>
#include <QDialog>
#include <QDateEdit>
#include <QCalendarWidget>
#include <QVBoxLayout>
#include <QDebug>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QLocale::setDefault(QLocale(QLocale::Persian, QLocale::Iran));
    QDialog d;
    QVBoxLayout layout(&d);
    // Persian Locale
    QDateEdit dateEdit(&d);
    layout.addWidget(&dateEdit);
    dateEdit.setLocale(QLocale(QLocale::English, QLocale::UnitedKingdom));
    dateEdit.setCalendarPopup(true);
    // Or maybe set locale after enabling popup calendar. Same as previous case
    // de.setLocale(QLocale(QLocale::English, QLocale::UnitedKingdom));
    dateEdit.setDisplayFormat("yyyy-MM-dd");
    dateEdit.setDate(QDate::currentDate());
    //
    d.show();
    /*
     * Now `dateEdit' shows a date in English (line edit),
     * and a popup calendar in Persian
     */
    return a.exec();
}
